org.apache.ignite.ml.composition.bagging

## Class BaggedModel

- java.lang.Object
- - org.apache.ignite.ml.composition.bagging.BaggedModel

- All Implemented Interfaces:
    Serializable, AutoCloseable, DeployableObject, IgniteModel<Vector,Double>, Model<Vector,Double>

      public final class BaggedModel
      extends Object
      implements IgniteModel<Vector,Double>, DeployableObject

  This class represents model produced by `BaggedTrainer`. It is a wrapper around inner representation of model produced by `BaggedTrainer`.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `Double` | `predict(Vector i)` Make a prediction for the specified input arguments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, combine, toString`

- - ### Method Detail

    - #### predict

          public Double predict(Vector i)

      Make a prediction for the specified input arguments.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Parameters:
        `i` - Input arguments.
      Returns:
        Prediction result.

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `IgniteModel<Vector,Double>`
      Specified by:
        `close` in interface `Model<Vector,Double>`

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020